export declare const RADIUS_TOKEN: {
    /**
     * Content banners(Primary), Full-screen dialogs, Lists, Navigation bars, Header Progress indicators, Side sheets, Tabs, Top app bars
     */
    readonly "rounded-none": "0";
    /**
     * Tooltip pointer
     */
    readonly "rounded-xsmall": "0.0625rem";
    /**
     * Buttons(Small, Tiny), Checkbox, Segment tab item
     */
    readonly "rounded-small": "0.375rem";
    /**
     * Buttons(Large, Medium), Content banners(Secondary), Context menu, Optionlist, Select, Textfield, Text area, Tooltip
     */
    readonly "rounded-base": "0.5rem";
    /**
     * Page banner, Card
     */
    readonly "rounded-large": "0.75rem";
    /**
     * Modal
     */
    readonly "rounded-xlarge": "1rem";
    /**
     * Avata, Slider Track, Switch, Tag, Toast
     */
    readonly "rounded-full": "50%";
};
