export declare const Semantic: {
    /** 프로모션 비주얼 타이틀 */
    readonly h1: {
        readonly fontWeight: 400;
        readonly fontSize: "2.25rem";
        readonly lineHeight: "2.5rem";
    };
    /** 프로모션 비주얼 타이틀(강조시에만 사용) */
    readonly "h1-bold": {
        readonly fontWeight: 700;
        readonly fontSize: "2.25rem";
        readonly lineHeight: "2.5rem";
    };
    /** 페이지 타이틀 */
    readonly "h2-bold": {
        readonly fontWeight: 700;
        readonly fontSize: "1.875rem";
        readonly lineHeight: "2.25rem";
    };
    /** 오늘의 할 일, 통계 등의 숫자 요약 primary */
    readonly "h3-bold": {
        readonly fontWeight: 700;
        readonly fontSize: "1.5rem";
        readonly lineHeight: "1.75rem";
    };
    /** 오늘의 할 일, 통계 등의 숫자 요약 primary */
    readonly "h4-bold": {
        readonly fontWeight: 700;
        readonly fontSize: "1.25rem";
        readonly lineHeight: "1.5rem";
    };
    /** 프로모션 배너 타이틀 */
    readonly h5: {
        readonly fontWeight: 400;
        readonly fontSize: "1.125rem";
        readonly lineHeight: "1.75rem";
    };
    /** 카드 타이틀, 프로모션 배너 타이틀(강조시에만 사용) */
    readonly "h5-bold": {
        readonly fontWeight: 700;
        readonly fontSize: "1.125rem";
        readonly lineHeight: "1.75rem";
    };
    readonly h6: {
        readonly fontWeight: 400;
        readonly fontSize: "1rem";
        readonly lineHeight: "1.5rem";
    };
    /** (only card) 서브 타이틀 */
    readonly "h6-bold": {
        readonly fontWeight: 700;
        readonly fontSize: "1rem";
        readonly lineHeight: "1.5rem";
    };
    /** 큰 버튼 텍스트 */
    readonly p16: {
        readonly fontWeight: 400;
        readonly fontSize: "1rem";
        readonly lineHeight: "1.5rem";
    };
    readonly "p16-bold": {
        readonly fontWeight: 700;
        readonly fontSize: "1rem";
        readonly lineHeight: "1.5rem";
    };
    /** 기본 텍스트 */
    readonly p14: {
        readonly fontWeight: 400;
        readonly fontSize: "0.875rem";
        readonly lineHeight: "1.25rem";
    };
    /** 기본 텍스트(강조시에만 사용) */
    readonly "p14-bold": {
        readonly fontWeight: 700;
        readonly fontSize: "0.875rem";
        readonly lineHeight: "1.25rem";
    };
    /** 서브 텍스트 */
    readonly p12: {
        readonly fontWeight: 400;
        readonly fontSize: "0.75rem";
        readonly lineHeight: "1rem";
    };
    /** 서브 텍스트(강조시에만 사용) */
    readonly "p12-bold": {
        readonly fontWeight: 700;
        readonly fontSize: "0.75rem";
        readonly lineHeight: "1rem";
    };
    /** 라벨 */
    readonly l14: {
        readonly fontWeight: 700;
        readonly fontSize: "0.875rem";
        readonly lineHeight: "1.25rem";
    };
    /** tag, chips, badge, etc */
    readonly l11: {
        readonly fontWeight: 400;
        readonly fontSize: "11px";
        readonly lineHeight: "0.75rem";
    };
};
