import { objectWithoutProperties as _objectWithoutProperties, objectSpread2 as _objectSpread2 } from '../_virtual/_rollupPluginBabelHelpers.mjs';
import { forwardRef } from 'react';
import { Semantic } from './Semantic.token.mjs';
import { FONT_FAMILY } from './font-family.token.mjs';
import { jsx } from 'react/jsx-runtime';

var _excluded = ["children", "semanticToken", "style", "as"];
var _Typography = function _Typography(_ref, ref) {
  var children = _ref.children,
    _ref$semanticToken = _ref.semanticToken,
    semanticToken = _ref$semanticToken === void 0 ? "p14" : _ref$semanticToken,
    style = _ref.style,
    _ref$as = _ref.as,
    as = _ref$as === void 0 ? "p" : _ref$as,
    restProps = _objectWithoutProperties(_ref, _excluded);
  var Element = as;
  return /*#__PURE__*/jsx(Element, _objectSpread2(_objectSpread2({
    ref: ref,
    style: _objectSpread2(_objectSpread2({
      fontFamily: FONT_FAMILY
    }, Semantic[semanticToken]), style)
  }, restProps), {}, {
    children: children
  }));
};
var Typography = /*#__PURE__*/forwardRef(_Typography);

export { Typography };
