import type { CSSProperties, ElementType, HTMLAttributes, PropsWithChildren } from "react";
import { Semantic } from "./Semantic.token";
interface TypographyProps extends PropsWithChildren, HTMLAttributes<HTMLParagraphElement> {
    as?: ElementType;
    semanticToken?: keyof typeof Semantic;
    style?: CSSProperties;
}
export declare const Typography: import("react").ForwardRefExoticComponent<TypographyProps & import("react").RefAttributes<HTMLElement>>;
export {};
